
set( garsoft_VERSION 02.10.01 )
set( garsoft_UPS_VERSION v02_10_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( art  )
find_ups_product( canvas v1_06_00 )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( cppunit  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( art_root_io  )
find_ups_product( canvas_root_io  )
find_ups_root(  )
find_ups_product( genie  )
find_ups_product( nutools  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata  )
  cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
find_ups_product( nuevdb  )
find_ups_product( libwda  )
find_ups_product( postgresql  )
find_ups_product( nusystematics  )
find_ups_product( systematicstools  )
find_ups_product( nugen  )
find_ups_product( dk2nugenie  )
  cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
  cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
  cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
  cet_find_library( XML2 NAMES xml2 PATHS /scratch/workspace/build-nulite/BUILDTYPE/prof/QUAL/s106-c7/label1/swarm/label2/SLF7/build/libxml2/v2_9_10a/Linux64bit+3.10-2.17/lib NO_DEFAULT_PATH )
  cet_find_library( GFWMSG NAMES GFwMsg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWREG NAMES GFwReg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWALG NAMES GFwAlg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWINT NAMES GFwInt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWGHEP NAMES GFwGHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNUM NAMES GFwNum PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWUTL NAMES GFwUtl PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWPARDAT NAMES GFwParDat PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWEG NAMES GFwEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNTP NAMES GFwNtp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHXSIG NAMES GPhXSIg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHPDF NAMES GPhPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUCLST NAMES GPhNuclSt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCMN NAMES GPhCmn PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDCY NAMES GPhDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADTRANSP NAMES GPhHadTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADNZ NAMES GPhHadnz PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDEEX NAMES GPhDeEx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGXS NAMES GPhAMNGXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGEG NAMES GPhAMNGEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCHMXS NAMES GPhChmXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHXS NAMES GPhCohXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHEG NAMES GPhCohEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISXS NAMES GPhDISXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISEG NAMES GPhDISEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCXS NAMES GPhDfrcXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCEG NAMES GPhDfrcEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESXS NAMES GPhGlwResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESEG NAMES GPhGlwResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDXS NAMES GPhIBDXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDEG NAMES GPhIBDEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCXS NAMES GPhMNucXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCEG NAMES GPhMNucEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMEL NAMES GPhMEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELXS NAMES GPhNuElXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELEG NAMES GPhNuElEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELXS NAMES GPhQELXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELEG NAMES GPhQELEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESXS NAMES GPhResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESEG NAMES GPhResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTRXS NAMES GPhStrXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTREG NAMES GPhStrEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNDCY NAMES GPhNDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLGEO NAMES GTlGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLFLX NAMES GTlFlx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWFWK NAMES GRwFwk PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWIO NAMES GRwIO PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWCLC NAMES GRwClc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
find_ups_product( gsl  )
  cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
find_ups_product( log4cpp  )
find_ups_product( nug4  )
find_ups_product( geant4  )
find_ups_product( xerces_c v3_0_0 )
  cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
find_ups_product( nurandom  )
find_ups_product( edepsim  )
  cet_find_library( EDEPSIMIO NAMES edepsim_io PATHS ENV EDEPSIM_LIB )
find_ups_product( pandora  )
  cet_find_library( PANDORASDK NAMES PandoraSDK PATHS ENV PANDORA_LIB )
  cet_find_library( PANDORAMONITORING NAMES PandoraMonitoring PATHS ENV PANDORA_LIB )
  cet_find_library( LCPANDORACONTENT NAMES LCContent PATHS ENV PANDORA_LIB )
set(UTILITIES_DUMPERS "$ENV{GARSOFT_LIB}/libUtilities_Dumpers.so")
set(UTILITIES_DUMPERS_DUMPGTRUTH_MODULE "$ENV{GARSOFT_LIB}/libUtilities_Dumpers_DumpGTruth_module.so")
set(UTILITIES_DUMPERS_DUMPMCPARTICLES_MODULE "$ENV{GARSOFT_LIB}/libUtilities_Dumpers_DumpMCParticles_module.so")
set(UTILITIES_DUMPERS_DUMPMCTRUTH_MODULE "$ENV{GARSOFT_LIB}/libUtilities_Dumpers_DumpMCTruth_module.so")
set(FILECATALOGMETADATAMPD_SERVICE "$ENV{GARSOFT_LIB}/libFileCatalogMetadataMPD_service.so")
set(UTILITIES_CONVERTER_CONVERTEDEP2ART_MODULE "$ENV{GARSOFT_LIB}/libUtilities_Converter_ConvertEdep2Art_module.so")
set(GARSOFT_ROOTGRAPHICSENABLER "$ENV{GARSOFT_LIB}/libgarsoft_RootGraphicsEnabler.so")
set(UTILITIES_ROOTGRAPHICS_ROOTGRAPHICSENABLINGSERVICE_SERVICE "$ENV{GARSOFT_LIB}/libUtilities_RootGraphics_RootGraphicsEnablingService_service.so")
set(EVENTDISPLAY_EVD "$ENV{GARSOFT_LIB}/libEventDisplay_EVD.so")
set(EVENTDISPLAY_EVD_EVD_MODULE "$ENV{GARSOFT_LIB}/libEventDisplay_EVD_EVD_module.so")
set(EVENTDISPLAY_EVD_ANALYSISDRAWINGOPTIONS_SERVICE "$ENV{GARSOFT_LIB}/libEventDisplay_EVD_AnalysisDrawingOptions_service.so")
set(EVENTDISPLAY_EVD_COLORDRAWINGOPTIONS_SERVICE "$ENV{GARSOFT_LIB}/libEventDisplay_EVD_ColorDrawingOptions_service.so")
set(EVENTDISPLAY_EVD_EVDLAYOUTOPTIONS_SERVICE "$ENV{GARSOFT_LIB}/libEventDisplay_EVD_EvdLayoutOptions_service.so")
set(EVENTDISPLAY_EVD_RAWDRAWINGOPTIONS_SERVICE "$ENV{GARSOFT_LIB}/libEventDisplay_EVD_RawDrawingOptions_service.so")
set(EVENTDISPLAY_EVD_RECODRAWINGOPTIONS_SERVICE "$ENV{GARSOFT_LIB}/libEventDisplay_EVD_RecoDrawingOptions_service.so")
set(EVENTDISPLAY_EVD_SIMULATIONDRAWINGOPTIONS_SERVICE "$ENV{GARSOFT_LIB}/libEventDisplay_EVD_SimulationDrawingOptions_service.so")
set(EVENTDISPLAY_EVD3D "$ENV{GARSOFT_LIB}/libEventDisplay_EVD3D.so")
set(EVENTDISPLAY_EVD3D_EVD3D_MODULE "$ENV{GARSOFT_LIB}/libEventDisplay_EVD3D_EVD3D_module.so")
set(EVENTDISPLAY_EVD3D_EVENTDISPLAY3DSERVICE_SERVICE "$ENV{GARSOFT_LIB}/libEventDisplay_EVD3D_EventDisplay3DService_service.so")
set(EVENTGENERATOR_RADIOGEN_MODULE "$ENV{GARSOFT_LIB}/libEventGenerator_RadioGen_module.so")
set(EVENTGENERATOR_SINGLEGEN_MODULE "$ENV{GARSOFT_LIB}/libEventGenerator_SingleGen_module.so")
set(EVENTGENERATOR_TEXTFILEGEN_MODULE "$ENV{GARSOFT_LIB}/libEventGenerator_TextFileGen_module.so")
set(EVENTGENERATOR_CRY_COSMICSGEN_MODULE "$ENV{GARSOFT_LIB}/libEventGenerator_CRY_CosmicsGen_module.so")
set(EVENTGENERATOR_GENIE_GENIEGEN_MODULE "$ENV{GARSOFT_LIB}/libEventGenerator_GENIE_GENIEGen_module.so")
set(COREUTILS "$ENV{GARSOFT_LIB}/libCoreUtils.so")
set(DETECTORINFO "$ENV{GARSOFT_LIB}/libDetectorInfo.so")
set(DETECTORINFO_DETECTORCLOCKSSERVICESTANDARDGAR_SERVICE "$ENV{GARSOFT_LIB}/libDetectorInfo_DetectorClocksServiceStandardGAr_service.so")
set(DETECTORINFO_DETECTORPROPERTIESSERVICESTANDARDGAR_SERVICE "$ENV{GARSOFT_LIB}/libDetectorInfo_DetectorPropertiesServiceStandardGAr_service.so")
set(DETECTORINFO_GARPROPERTIESSERVICESTANDARD_SERVICE "$ENV{GARSOFT_LIB}/libDetectorInfo_GArPropertiesServiceStandard_service.so")
set(DETECTORINFO_ECALPROPERTIESSERVICESTANDARD_SERVICE "$ENV{GARSOFT_LIB}/libDetectorInfo_ECALPropertiesServiceStandard_service.so")
set(DETECTORINFO_MAGNETICFIELDSERVICEGAR_SERVICE "$ENV{GARSOFT_LIB}/libDetectorInfo_MagneticFieldServiceGAr_service.so")
set(GARG4 "$ENV{GARSOFT_LIB}/libGArG4.so")
set(GARG4_GARG4ANA_MODULE "$ENV{GARSOFT_LIB}/libGArG4_GArG4Ana_module.so")
set(GARG4_GARG4_MODULE "$ENV{GARSOFT_LIB}/libGArG4_GArG4_module.so")
set(GEOMETRY "$ENV{GARSOFT_LIB}/libGeometry.so")
set(GEOMETRY_AUXDETGEOMETRYHELPEREXAMPLE_SERVICE "$ENV{GARSOFT_LIB}/libGeometry_AuxDetGeometryHelperExample_service.so")
set(GEOMETRY_AUXDETGEOMETRY_SERVICE "$ENV{GARSOFT_LIB}/libGeometry_AuxDetGeometry_service.so")
set(GEOMETRY_GEOMETRYGARCONFIGURATIONWRITER_SERVICE "$ENV{GARSOFT_LIB}/libGeometry_GeometryGArConfigurationWriter_service.so")
set(GEOMETRY_GEOMETRYGAR_SERVICE "$ENV{GARSOFT_LIB}/libGeometry_GeometryGAr_service.so")
set(GEOMETRY_STANDARDGEOMETRYHELPERGAR_SERVICE "$ENV{GARSOFT_LIB}/libGeometry_StandardGeometryHelperGAr_service.so")
set(GARCHANNELMAPALG "$ENV{GARSOFT_LIB}/libGArChannelMapAlg.so")
set(MCCHEATER "$ENV{GARSOFT_LIB}/libMCCheater.so")
set(MCCHEATER_BACKTRACKER_SERVICE "$ENV{GARSOFT_LIB}/libMCCheater_BackTracker_service.so")
set(RAWDATAPRODUCTS "$ENV{GARSOFT_LIB}/libRawDataProducts.so")
set(RAWDATAPRODUCTS_DICT "$ENV{GARSOFT_LIB}/libRawDataProducts_dict.so")
set(READOUTSIMULATION "$ENV{GARSOFT_LIB}/libReadoutSimulation.so")
set(READOUTSIMULATION_IONIZATIONREADOUT_MODULE "$ENV{GARSOFT_LIB}/libReadoutSimulation_IonizationReadout_module.so")
set(READOUTSIMULATION_RAWDIGITANA_MODULE "$ENV{GARSOFT_LIB}/libReadoutSimulation_RawDigitAna_module.so")
set(READOUTSIMULATION_SIPMREADOUT_MODULE "$ENV{GARSOFT_LIB}/libReadoutSimulation_SiPMReadout_module.so")
set(RECONSTRUCTIONDATAPRODUCTS "$ENV{GARSOFT_LIB}/libReconstructionDataProducts.so")
set(RECONSTRUCTIONDATAPRODUCTS_DICT "$ENV{GARSOFT_LIB}/libReconstructionDataProducts_dict.so")
set(SIMULATIONDATAPRODUCTS "$ENV{GARSOFT_LIB}/libSimulationDataProducts.so")
set(SIMULATIONDATAPRODUCTS_DICT "$ENV{GARSOFT_LIB}/libSimulationDataProducts_dict.so")
set(SUMMARYDATAPRODUCTS "$ENV{GARSOFT_LIB}/libSummaryDataProducts.so")
set(SUMMARYDATAPRODUCTS_DICT "$ENV{GARSOFT_LIB}/libSummaryDataProducts_dict.so")
set(TESTUTILS "$ENV{GARSOFT_LIB}/libTestUtils.so")
set(GARRECO "$ENV{GARSOFT_LIB}/libGArReco.so")
set(CALOCLUSTERCHEATER_MODULE "$ENV{GARSOFT_LIB}/libCaloClusterCheater_module.so")
set(CALOCLUSTERING_MODULE "$ENV{GARSOFT_LIB}/libCaloClustering_module.so")
set(CALOSTRIPSPLITTER_MODULE "$ENV{GARSOFT_LIB}/libCaloStripSplitter_module.so")
set(COMPRESSEDHITFINDER_MODULE "$ENV{GARSOFT_LIB}/libCompressedHitFinder_module.so")
set(EVENTINIT_MODULE "$ENV{GARSOFT_LIB}/libEventInit_module.so")
set(SIPMHITFINDER_MODULE "$ENV{GARSOFT_LIB}/libSiPMHitFinder_module.so")
set(TPCECALASSOCIATION_MODULE "$ENV{GARSOFT_LIB}/libTPCECALAssociation_module.so")
set(TPCHITCLUSTER_MODULE "$ENV{GARSOFT_LIB}/libTPCHitCluster_module.so")
set(DAYONECONVERTER_MODULE "$ENV{GARSOFT_LIB}/libdayoneconverter_module.so")
set(DAYONETRACKFIT_MODULE "$ENV{GARSOFT_LIB}/libdayonetrackfit_module.so")
set(TPCCATHODESTITCH_MODULE "$ENV{GARSOFT_LIB}/libtpccathodestitch_module.so")
set(TPCPATREC2_MODULE "$ENV{GARSOFT_LIB}/libtpcpatrec2_module.so")
set(TPCPATRECCHEAT_MODULE "$ENV{GARSOFT_LIB}/libtpcpatreccheat_module.so")
set(TPCTRACKFIT2_MODULE "$ENV{GARSOFT_LIB}/libtpctrackfit2_module.so")
set(TPCVECHITFINDER2_MODULE "$ENV{GARSOFT_LIB}/libtpcvechitfinder2_module.so")
set(VEEFINDER1_MODULE "$ENV{GARSOFT_LIB}/libveefinder1_module.so")
set(VERTEXFINDER1_MODULE "$ENV{GARSOFT_LIB}/libvertexfinder1_module.so")
set(GARRECOALG "$ENV{GARSOFT_LIB}/libGArRecoAlg.so")
set(CAFMAKER_MODULE "$ENV{GARSOFT_LIB}/libCAFMaker_module.so")
set(PARAMSIM_MODULE "$ENV{GARSOFT_LIB}/libParamSim_module.so")
set(ANATEST_MODULE "$ENV{GARSOFT_LIB}/libanatest_module.so")
set(ANATREE_MODULE "$ENV{GARSOFT_LIB}/libanatree_module.so")
set(GARSOFT_PARAMSIM_UTILS "$ENV{GARSOFT_LIB}/libgarsoft_paramsim_utils.so")
set(MATCHINGPERFORMANCE_MODULE "$ENV{GARSOFT_LIB}/libMatchingPerformance_module.so")
set(MOMENTUMPERFORMANCE_MODULE "$ENV{GARSOFT_LIB}/libMomentumPerformance_module.so")
set(HNLANALYSIS_MODULE "$ENV{GARSOFT_LIB}/libHNLAnalysis_module.so")
set(FILTERS_FSPEVENTFILTER_MODULE "$ENV{GARSOFT_LIB}/libFilters_FSPEventFilter_module.so")
set(GARSOFT_STANDARDRECORD "$ENV{GARSOFT_LIB}/libgarsoft_StandardRecord.so")
set(GARSOFT_STANDARDRECORD_DICT "$ENV{GARSOFT_LIB}/libgarsoft_StandardRecord_dict.so")
set(GARCONTENT "$ENV{GARSOFT_LIB}/libGArContent.so")
set(GARPANDORA "$ENV{GARSOFT_LIB}/libGArPandora.so")
set(PANDORAINTERFACE_MODULE "$ENV{GARSOFT_LIB}/libPandoraInterface_module.so")
set(GEOMETRYTESTLIB "$ENV{GARSOFT_LIB}/libGeometryTestLib.so")
  include_directories ( "$ENV{GARSOFT_INC}" )

check_required_components(garsoft)

